"use client"

import { useParams } from "next/navigation"

import { baseUrls } from "@/constants/routes/baseUrls"

import LanguageSwitcher from "@/components/Current/Header/LanguageSwitcher"

import { LangParams } from "@/types/params"

export default function Error() {
  const params = useParams<LangParams>()
  return <LanguageSwitcher urls={baseUrls} lang={params.lang} />
}
